import Stat from './Stat';
import ValueRange from './ValueRange';
export declare type Classification = ReadonlyArray<string>;
export interface Modifier {
    stat: Stat;
    type: 'flat' | 'inc' | 'more';
}
export default class Value {
    classification: Classification;
    modifiers: ReadonlyArray<Modifier>;
    range: ValueRange;
    /**
     * if the value change since init
     */
    augmented: boolean;
    constructor(range: [number, number] | ValueRange, classification?: Classification, modifiers?: Modifier[]);
    readonly value: number | [number, number];
    augmentWith(stats: Stat[]): Value;
    augmentableBy(stat: Stat): boolean;
    /**
     * calculates the final ValueRange from all the applied modifers
     *
     * in PoE all increase modifers get summed up to one big more modifier
     */
    compute(precision?: number): Value;
}
