"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var mods_1 = require("../../../mods");
var ImmutableContainer_1 = require("../../ImmutableContainer");
/**
 * the implicits of an item
 */
var Implicits = /** @class */ (function (_super) {
    __extends(Implicits, _super);
    function Implicits(item, mods) {
        var _this = _super.call(this, mods) || this;
        _this.item = item;
        return _this;
    }
    Implicits.withBuilder = function (builder) {
        return new Implicits(builder.item, builder.mods);
    };
    /**
     * @override
     */
    Implicits.prototype.maxModsOfType = function (mod) {
        switch (mod.props.generation_type) {
            case mods_1.Mod.GENERATION_TYPE.PREMADE:
                return 5;
            case mods_1.Mod.GENERATION_TYPE.ENCHANTMENT:
                return 1;
            case mods_1.Mod.GENERATION_TYPE.VAAL:
                return 1;
            // no other generation types allowed
            default:
                return -1;
        }
    };
    /**
     * @override
     *  checks if the domains are equiv
     */
    Implicits.prototype.inDomainOf = function () {
        return true;
    };
    /**
     * @override
     */
    Implicits.prototype.level = function () {
        return this.item.props.item_level;
    };
    return Implicits;
}(ImmutableContainer_1.default));
exports.default = Implicits;
