import Component from '../Component';
import Item from '../Item';
export declare enum RarityKind {
    normal = 1,
    magic = 2,
    rare = 3,
    unique = 4,
    showcase = 5
}
export declare type RarityIdent = keyof typeof RarityKind;
export interface Rarity<T> {
    isNormal(): boolean;
    isMagic(): boolean;
    isRare(): boolean;
    isUnique(): boolean;
    set(rarity: RarityIdent): T;
    upgrade(): T;
    toString(): RarityIdent;
}
export declare type Builder = RarityKind;
/**
 * the rarity of an item
 */
export default class ItemRarity implements Rarity<Item>, Component<Item, Builder> {
    parent: Item;
    kind: RarityKind;
    constructor(item: Item, builder: Builder);
    builder(): Builder;
    isNormal(): boolean;
    isMagic(): boolean;
    isRare(): boolean;
    isUnique(): boolean;
    /**
     * upgrade rarirty by one tier
     *
     * normal > magic > rare
     */
    upgrade(): Item;
    set(rarity: RarityIdent): Item;
    toString(): RarityIdent;
    any(): boolean;
}
