import Component from '../Component';
import Item from '../Item';
import { AugmentableValue } from '../util';
export interface Requirements {
    list(): {
        level: AugmentableValue;
        dex: AugmentableValue;
        int: AugmentableValue;
        str: AugmentableValue;
    };
    level(): AugmentableValue;
}
export declare type Builder = {
    req_str: number;
    req_dex: number;
    req_int: number;
} | undefined;
/**
 * the requirements to use this item
 *
 * contains attributes strength, intelligence, evasion
 * and the itemlevel
 */
export default class ItemName implements Requirements, Component<Item, Builder> {
    parent: Item;
    dex: number;
    int: number;
    str: number;
    constructor(item: Item, builder: Builder);
    builder(): Builder;
    /**
     * Computes the required level including stat applications
     */
    level(): AugmentableValue;
    list(): {
        level: AugmentableValue;
        str: AugmentableValue;
        dex: AugmentableValue;
        int: AugmentableValue;
    };
    any(): boolean;
    /**
     * computes required level before stat applications
     *
     * @returns number
     */
    private baseLevel;
}
