"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types_1 = require("./types");
var ValueRange_1 = require("../../../../calculator/ValueRange");
/**
 * creates a Socket according to the highest attr requirement
 * if two or more requirements are equal the color is chosen
 * with the priority Green > Red > Blue
 * @param item
 */
function rollRequirementBiasedStable(item) {
    var _a = item.requirements.list(), dex = _a.dex, int = _a.int, str = _a.str;
    var color_by_attr = [
        { value: dex.value, color: types_1.SocketColor.green },
        { value: str.value, color: types_1.SocketColor.red },
        { value: int.value, color: types_1.SocketColor.blue },
    ].sort(function (a, b) { return -ValueRange_1.default.cmpMax(a.value, b.value); });
    return {
        color: color_by_attr[0].color,
    };
}
exports.rollRequirementBiasedStable = rollRequirementBiasedStable;
