"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Properties_1 = require("./Properties");
var ValueRange_1 = require("../../../../calculator/ValueRange");
var ItemArmourProperties = /** @class */ (function (_super) {
    __extends(ItemArmourProperties, _super);
    function ItemArmourProperties() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ItemArmourProperties.prototype.defences = function () {
        var item = this.parent;
        var component_armour = item.baseitem.component_armour;
        if (component_armour == null) {
            throw new Error('component_armour not set while attempting to calculate defences');
        }
        var armour = component_armour.armour, evasion = component_armour.evasion, energy_shield = component_armour.energy_shield;
        return {
            armour: this.parent.computeValue(armour, ['local', 'defences', 'armour']),
            evasion: this.parent.computeValue(evasion, [
                'local',
                'defences',
                'evasion',
            ]),
            energy_shield: this.parent.computeValue(energy_shield, [
                'local',
                'defences',
                'energy_shield',
            ]),
        };
    };
    ItemArmourProperties.prototype.any = function () {
        var _a = this.defences(), armour = _a.armour, energy_shield = _a.energy_shield, evasion = _a.evasion;
        return (_super.prototype.any.call(this) ||
            // armour > 0
            !ValueRange_1.default.isZero(armour.value) ||
            // es > 0
            !ValueRange_1.default.isZero(energy_shield.value) ||
            // eva > 0
            !ValueRange_1.default.isZero(evasion.value));
    };
    return ItemArmourProperties;
}(Properties_1.default));
exports.default = ItemArmourProperties;
