import Component from '../../Component';
import Item from '../../Item';
export interface Properties {
    readonly quality: number;
    setQuality(quality: number): Item;
}
export interface Builder {
    quality: number;
}
/**
 * properties for every item
 *
 * this is used for miscellaneous properties that don't really fit
 * into any other component
 */
export default class ItemProperties implements Properties, Component<Item, Builder> {
    parent: Item;
    quality: number;
    constructor(item: Item, builder: Builder);
    builder(): Builder;
    any(): boolean;
    setQuality(new_quality: number): Item;
}
