"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Properties_1 = require("./Properties");
var ArmourProperties_1 = require("./ArmourProperties");
var ShieldProperties_1 = require("./ShieldProperties");
var WeaponProperties_1 = require("./WeaponProperties");
function build(item, builder) {
    if (item.meta_data.isA('AbstractShield')) {
        return new ShieldProperties_1.default(item, builder);
    }
    else if (item.meta_data.isA('AbstractArmour')) {
        return new ArmourProperties_1.default(item, builder);
    }
    else if (item.meta_data.isA('AbstractWeapon')) {
        return new WeaponProperties_1.default(item, builder);
    }
    else {
        return new Properties_1.default(item, builder);
    }
}
exports.default = build;
