"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var Flags_1 = require("../../util/Flags");
var ItemOrb_1 = require("./ItemOrb");
var Transmute_1 = require("./Transmute");
var Alchemy = /** @class */ (function (_super) {
    __extends(Alchemy, _super);
    function Alchemy() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Alchemy.build = function (mods) {
        return new Alchemy(Transmute_1.default.buildMods(mods));
    };
    /**
     *  adds 1-2 mods
     */
    Alchemy.prototype.applyTo = function (item, options) {
        if (options === void 0) { options = {}; }
        var _a = options.force, force = _a === void 0 ? false : _a;
        if (force || !Flags_1.anySet(this.applicableTo(item))) {
            // upgrade to rare
            var alched_item = item.rarity.set('rare');
            // rare items can have no more than 6 affixes
            var new_mods = _.random(4, 6) - item.affixes.mods.length;
            for (var rolled_mods = 1; rolled_mods <= new_mods; rolled_mods += 1) {
                alched_item = this.rollMod(alched_item);
            }
            var prefixes = alched_item.affixes.getPrefixes().length;
            var suffixes = alched_item.affixes.getSuffixes().length;
            var diff = Math.abs(prefixes - suffixes);
            var missing_mods = Math.max(0, diff - 1);
            // correct differences between #prefixes, #suffixes >= 2
            for (var rolled_mods = 1; rolled_mods <= missing_mods; rolled_mods += 1) {
                alched_item = this.rollMod(alched_item);
            }
            return alched_item;
        }
        return item;
    };
    /**
     * maps mod::applicableTo as if it were already magic
     */
    Alchemy.prototype.modsFor = function (item, whitelist) {
        if (whitelist === void 0) { whitelist = []; }
        // simulate upgrade
        return _super.prototype.modsFor.call(this, item.rarity.set('rare'), whitelist);
    };
    Alchemy.prototype.applicableTo = function (item) {
        var applicable_flags = __assign({}, _super.prototype.applicableTo.call(this, item), { not_white: false });
        if (!item.rarity.isNormal()) {
            applicable_flags.not_white = true;
        }
        return applicable_flags;
    };
    return Alchemy;
}(ItemOrb_1.default));
exports.default = Alchemy;
