"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var Flags_1 = require("../../util/Flags");
var ItemOrb_1 = require("./ItemOrb");
var Augment_1 = require("./Augment");
var Scouring_1 = require("./Scouring");
var Transmute_1 = require("./Transmute");
var Alteration = /** @class */ (function (_super) {
    __extends(Alteration, _super);
    function Alteration() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Alteration.build = function (mods) {
        return new Alteration(Transmute_1.default.buildMods(mods));
    };
    /**
     *  rerolls properties of magic
     */
    Alteration.prototype.applyTo = function (item) {
        if (!Flags_1.anySet(this.applicableTo(item))) {
            // TODO actually considers *_cannot_be_changed?
            // granted via scouring but is this true for ingame alts?
            var scoured_item = new Scouring_1.default().applyTo(item);
            var reforged_item = new Transmute_1.default(this.mods).applyTo(scoured_item);
            // no complete scour?
            if (reforged_item === scoured_item) {
                reforged_item = new Augment_1.default(this.mods).applyTo(reforged_item);
            }
            return reforged_item;
        }
        else {
            return item;
        }
    };
    Alteration.prototype.applicableTo = function (item) {
        var applicable_flags = __assign({}, _super.prototype.applicableTo.call(this, item), { not_magic: false });
        if (!item.rarity.isMagic()) {
            applicable_flags.not_magic = true;
        }
        return applicable_flags;
    };
    return Alteration;
}(ItemOrb_1.default));
exports.default = Alteration;
