"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var Flags_1 = require("../../util/Flags");
var ItemOrb_1 = require("./ItemOrb");
var Annulment = /** @class */ (function (_super) {
    __extends(Annulment, _super);
    function Annulment() {
        return _super.call(this, []) || this;
    }
    Annulment.prototype.applyTo = function (item) {
        if (!Flags_1.anySet(this.applicableTo(item))) {
            var locked_prefixes_1 = item.affixes.lockedPrefixes();
            var locked_suffixes_1 = item.affixes.lockedSuffixes();
            var mods = item.affixes.mods.filter(function (mod) {
                return (
                // locked_prefixes => !isPrefix
                (!locked_prefixes_1 || !mod.isPrefix()) &&
                    // locked_suffixes => !isSuffix
                    (!locked_suffixes_1 || !mod.isSuffix()));
            });
            if (mods.length > 0) {
                var annul = _.sample(mods);
                if (annul == null) {
                    throw new Error('sample returned no mods');
                }
                return item.removeMod(annul);
            }
            else {
                return item;
            }
        }
        else {
            return item;
        }
    };
    Annulment.prototype.applicableTo = function (item) {
        var applicable_flags = __assign({}, _super.prototype.applicableTo.call(this, item), { not_magic_rare: false });
        if (!item.rarity.isMagic() && !item.rarity.isRare()) {
            applicable_flags.not_magic_rare = true;
        }
        return applicable_flags;
    };
    Annulment.prototype.modsFor = function (item) {
        return [];
    };
    return Annulment;
}(ItemOrb_1.default));
exports.default = Annulment;
