"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var Flags_1 = require("../../util/Flags");
var ItemOrb_1 = require("./ItemOrb");
var Transmute_1 = require("./Transmute");
var Exalted = /** @class */ (function (_super) {
    __extends(Exalted, _super);
    function Exalted() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Exalted.build = function (mods) {
        return new Exalted(Transmute_1.default.buildMods(mods));
    };
    /**
     * adds one random property
     */
    Exalted.prototype.applyTo = function (item) {
        if (!Flags_1.anySet(this.applicableTo(item))) {
            return this.rollMod(item);
        }
        else {
            return item;
        }
    };
    /**
     * item needs to be magic
     */
    Exalted.prototype.applicableTo = function (item) {
        var applicable_flags = __assign({}, _super.prototype.applicableTo.call(this, item), { not_rare: false });
        if (!item.rarity.isRare()) {
            applicable_flags.not_rare = true;
        }
        return applicable_flags;
    };
    return Exalted;
}(ItemOrb_1.default));
exports.default = Exalted;
