import Item from '../../containers/item';
import { ModProps } from '../../schema';
import ItemOrb, { ApplicableFlags as BaseApplicableFlags } from './ItemOrb';
import { GeneratorDetails } from '../Generator';
import Mod from '../../mods/Mod';
export interface ApplicableFlags extends BaseApplicableFlags {
    not_magic: boolean;
}
export declare type ApplicableFlag = keyof ApplicableFlags;
export default class Regal extends ItemOrb {
    static build(mods: ModProps[]): Regal;
    /**
     *  adds 1 mod
     */
    applyTo(item: Item): Item;
    /**
     * maps mod::applicableTo as if it were already magic
     */
    modsFor(item: Item, whitelist?: string[]): Array<GeneratorDetails<Mod>>;
    applicableTo(item: Item): ApplicableFlags;
}
