"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var Flags_1 = require("../../util/Flags");
var ItemOrb_1 = require("./ItemOrb");
var Scouring = /** @class */ (function (_super) {
    __extends(Scouring, _super);
    function Scouring() {
        return _super.call(this, []) || this;
    }
    /**
     * applies Orb of Scouring to an item
     * considers locked affixes metamods
     */
    Scouring.prototype.applyTo = function (other, options) {
        if (options === void 0) { options = {}; }
        var _a = options.force, force = _a === void 0 ? false : _a, _b = options.ignore_meta_mods, ignore_meta_mods = _b === void 0 ? false : _b;
        if (force || !Flags_1.anySet(this.applicableTo(other))) {
            var scoured_item = other;
            if (!ignore_meta_mods) {
                var locked_prefixes = scoured_item.affixes.lockedPrefixes();
                var locked_suffixes = scoured_item.affixes.lockedSuffixes();
                if (!locked_prefixes) {
                    scoured_item = scoured_item.affixes
                        .getPrefixes()
                        .reduce(function (item, prefix) { return item.removeMod(prefix); }, scoured_item);
                }
                if (!locked_suffixes) {
                    scoured_item = scoured_item.affixes
                        .getSuffixes()
                        .reduce(function (item, suffix) { return item.removeMod(suffix); }, scoured_item);
                }
            }
            else {
                scoured_item = scoured_item.removeAllMods();
            }
            // set correct rarity
            var remaining_prefixes = scoured_item.affixes.getPrefixes().length;
            var remaining_suffixes = scoured_item.affixes.getSuffixes().length;
            var new_rarity = other.rarity.toString();
            if (remaining_prefixes === 0 && remaining_suffixes === 0) {
                new_rarity = 'normal';
            }
            return scoured_item.rarity.set(new_rarity);
        }
        else {
            return other;
        }
    };
    /**
     * checks if normal or unique rarity and returns false
     */
    Scouring.prototype.applicableTo = function (item) {
        var applicable_flags = __assign({}, _super.prototype.applicableTo.call(this, item), { normal: false, unique: false });
        if (item.rarity.isNormal()) {
            applicable_flags.normal = true;
        }
        else if (item.rarity.isUnique()) {
            applicable_flags.unique = true;
        }
        return applicable_flags;
    };
    return Scouring;
}(ItemOrb_1.default));
exports.default = Scouring;
