"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var Flags_1 = require("../../util/Flags");
var ItemOrb_1 = require("./ItemOrb");
var Mod_1 = require("../../mods/Mod");
var Transmute = /** @class */ (function (_super) {
    __extends(Transmute, _super);
    function Transmute() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Transmute.modFilter = function (mod) {
        // prefix/suffix only
        return (_super.modFilter.call(this, mod) &&
            [Mod_1.default.GENERATION_TYPE.PREFIX, Mod_1.default.GENERATION_TYPE.SUFFIX].indexOf(mod.generation_type) !== -1);
    };
    Transmute.build = function (mods) {
        return new Transmute(this.buildMods(mods));
    };
    /**
     *  adds 1-2 mods
     */
    Transmute.prototype.applyTo = function (item) {
        var new_item = item;
        if (!Flags_1.anySet(this.applicableTo(item))) {
            new_item = item.rarity.set('magic');
            new_item = this.rollMod(new_item);
            if (Math.random() <= 0.5) {
                new_item = this.rollMod(new_item);
            }
            return new_item;
        }
        return new_item;
    };
    /**
     * maps mod::applicableTo as if it were already magic
     */
    Transmute.prototype.modsFor = function (item, whitelist) {
        if (whitelist === void 0) { whitelist = []; }
        // simulate upgrade
        return _super.prototype.modsFor.call(this, item.rarity.set('magic'), whitelist);
    };
    Transmute.prototype.applicableTo = function (item) {
        var applicable_flags = __assign({}, _super.prototype.applicableTo.call(this, item), { not_white: false });
        if (!item.rarity.isNormal()) {
            applicable_flags.not_white = true;
        }
        return applicable_flags;
    };
    return Transmute;
}(ItemOrb_1.default));
exports.default = Transmute;
