"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Flags_1 = require("../../util/Flags");
var Mod_1 = require("../../mods/Mod");
var ItemOrb_1 = require("./ItemOrb");
var Vaal = /** @class */ (function (_super) {
    __extends(Vaal, _super);
    function Vaal() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Vaal.modFilter = function (mod) {
        // vaal implicits
        return (_super.modFilter.call(this, mod) &&
            [Mod_1.default.GENERATION_TYPE.VAAL].indexOf(mod.generation_type) !== -1);
    };
    Vaal.build = function (mods) {
        return new Vaal(this.buildMods(mods));
    };
    /**
     * replaces implicit with vaal implicit
     * TODO: white sockets, reroll (brick(, nothing
     */
    Vaal.prototype.applyTo = function (item) {
        if (!Flags_1.anySet(this.applicableTo(item))) {
            var blank_item = item.removeAllImplicits();
            var implicit = this.chooseMod(blank_item);
            if (implicit != null) {
                var vaaled_item = blank_item.addMod(implicit);
                if (vaaled_item !== blank_item) {
                    return vaaled_item.corrupt();
                }
            }
        }
        // nothing changed
        return item;
    };
    return Vaal;
}(ItemOrb_1.default));
exports.default = Vaal;
