import { GeneratorDetails } from '../Generator';
import ViewOnlyOrb from '../ViewOnlyOrb';
import Item from '../../containers/item';
import { Mod } from '../../mods';
import { ModProps } from '../../schema';
/**
 * Generator for all mods that can be crafted at the Blood Altar with Spirit Beasts
 */
export default class BestiaryAspectMods extends ViewOnlyOrb {
    /**
     * list of mod ids that can be crafted with Spirit Beasts
     */
    static readonly ASPECT_MODS: Set<Mod['props']['id']>;
    static build(mods: ModProps[]): BestiaryAspectMods;
    /**
     *
     * @param mod
     * @returns true if the mod can only crafted with the Blood Altar from a
     *          Spirit Beast
     */
    static isBestiaryAspect(mod: ModProps): boolean;
    modsFor(item: Item, whitelist?: string[]): Array<GeneratorDetails<Mod>>;
}
