"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ViewOnlyOrb_1 = require("../ViewOnlyOrb");
var mods_1 = require("../../mods");
/**
 * Generator for all mods that are possible of the item is an Elder item
 */
var ElderMods = /** @class */ (function (_super) {
    __extends(ElderMods, _super);
    function ElderMods() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ElderMods.build = function (mods) {
        return new ElderMods(mods.filter(ElderMods.isElderMod).map(function (props) { return new mods_1.Mod(props); }));
    };
    ElderMods.isElderMod = function (mod) {
        var spawnweight = mod.spawn_weights.find(function (_a) {
            var tag = _a.tag;
            return tag.endsWith('_elder');
        });
        if (spawnweight === undefined) {
            return false;
        }
        else {
            return spawnweight.value > 0;
        }
    };
    /**
     * returns mods that could appear on the given item if it is a Elder
     * influenced item. Ignores maximum number of possible mods.
     *
     * @param item
     * @param whitelist
     */
    ElderMods.prototype.modsFor = function (item, whitelist) {
        if (whitelist === void 0) { whitelist = []; }
        return _super.prototype.modsFor.call(this, item.asElderItem(), whitelist);
    };
    return ElderMods;
}(ViewOnlyOrb_1.default));
exports.default = ElderMods;
