import ViewOnlyOrb, { SpawnableFlags as BaseSpawnableFlags } from '../ViewOnlyOrb';
import Item from '../../containers/item';
import { Mod } from '../../mods';
import { ModProps } from '../../schema';
export interface SpawnableFlags extends BaseSpawnableFlags {
    not_matching_itemclass: boolean;
}
export declare type SpawnableFlag = keyof SpawnableFlags;
/**
 * Generator for all mods that can be crafted at the Blood Altar with Spirit Beasts
 */
export default class IncursionTempleMods extends ViewOnlyOrb {
    static build(mods: ModProps[]): IncursionTempleMods;
    /**
     *
     * @param mod
     * @returns true if cab only be found in T3 temple chests
     */
    static isTempleMod(mod: ModProps): boolean;
    /**
     * @override
     *
     * super call with the addition of item class check
     * mods are assigned to certain itemclasses which is determined
     * in {itemclassModIds()}
     *
     * @param mod
     * @param item
     * @returns {SpawnableFlags}
     */
    isModSpawnableOn(mod: Mod, item: Item): SpawnableFlags;
    /**
     * @override
     *
     * We assume that every mod has the same chance
     *
     * @param mod
     * @param item
     * @returns {number | undefined}
     */
    spawnweightFor(mod: Mod, item: Item): number | undefined;
    private itemclassModIds;
}
