import Item from '../containers/item/Item';
import MasterBenchOption from '../generators/MasterBenchOption';
import { CraftingBenchOptionsProps } from '../schema';
import { Mod } from '../mods';
import { GeneratorDetails } from '../generators/Generator';
/**
 * the primary of the option in data/craftingbenchoptions
 */
export declare type OptionId = number;
/**
 */
export default class MasterBench {
    static build(props: CraftingBenchOptionsProps[], master_primary?: number): MasterBench;
    readonly options: MasterBenchOption[];
    constructor(options: MasterBenchOption[]);
    applyOptionTo(item: Item, option_id: OptionId): Item;
    getAvailableMods(): Mod[];
    /**
     * greps mod::applicableTo
     */
    modsFor(item: Item, whitelist?: string[]): GeneratorDetails<Mod>[];
}
