import { BaseError } from 'make-error';
import { Buildable } from '../interfaces';
export interface TableProps {
    primary?: number;
    name?: string;
    id?: string;
}
export declare class NotFound extends BaseError {
    constructor(name: string, message: string);
}
export default class PropsTable<P extends TableProps, T, A1> {
    builder: Buildable<P, T, A1>;
    table: P[];
    builder_arg1: A1;
    constructor(all: P[], constructor: Buildable<P, T, A1>, arg1: A1);
    all(): P[];
    find(finder: (props: P) => boolean): P | undefined;
    /**
     * Builds an instance for the properties for which the provided predicate is
     * true. Returns for the first value for which the predicate is true
     */
    from(finder: (props: P) => boolean): T;
    fromPrimary(primary: number): T;
    fromName(name: string): T;
    fromId(id: string): T;
    fromProp<K extends keyof P>(prop: K, value: P[K]): T;
}
