"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var make_error_1 = require("make-error");
var NotFound = /** @class */ (function (_super) {
    __extends(NotFound, _super);
    function NotFound(name, message) {
        return _super.call(this, name + " not found " + message) || this;
    }
    return NotFound;
}(make_error_1.BaseError));
exports.NotFound = NotFound;
// take care. flow accepts any as a constructor
var PropsTable = /** @class */ (function () {
    function PropsTable(all, constructor, arg1) {
        this.builder = constructor;
        this.table = all;
        this.builder_arg1 = arg1;
    }
    PropsTable.prototype.all = function () {
        return this.table;
    };
    PropsTable.prototype.find = function (finder) {
        return this.table.find(finder);
    };
    /**
     * Builds an instance for the properties for which the provided predicate is
     * true. Returns for the first value for which the predicate is true
     */
    PropsTable.prototype.from = function (finder) {
        var props = this.find(finder);
        if (props == null) {
            throw new NotFound(this.builder.name, "with custom finder");
        }
        return this.builder.build(props, this.builder_arg1);
    };
    PropsTable.prototype.fromPrimary = function (primary) {
        return this.fromProp('primary', primary);
    };
    PropsTable.prototype.fromName = function (name) {
        return this.fromProp('name', name);
    };
    PropsTable.prototype.fromId = function (id) {
        return this.fromProp('id', id);
    };
    PropsTable.prototype.fromProp = function (prop, value) {
        try {
            return this.from(function (other) { return other[prop] === value; });
        }
        catch (err) {
            // catch Notfound
            if (err instanceof NotFound) {
                throw new NotFound(this.builder.name, "with " + prop + " '" + value + "'");
            }
            else {
                throw err;
            }
        }
    };
    return PropsTable;
}());
exports.default = PropsTable;
