import { Taggable } from '../interfaces/Taggable';
import { ModProps, SpawnWeightProps, StatProps } from '../schema';
import Stat from '../calculator/Stat';
export default class Mod {
    static DOMAIN: {
        ITEM: number;
        FLASK: number;
        MONSTER: number;
        STRONGBOX: number;
        MAP: number;
        MASTER: number;
        JEWEL: number;
        ATLAS: number;
        LEAGUESTONE: number;
        ABYSS_JEWEL: number;
        MAP_DEVICE: number;
    };
    static GENERATION_TYPE: {
        [key: string]: number;
    };
    static build(props: ModProps): Mod;
    readonly props: ModProps;
    constructor(props: ModProps);
    isType(type: string): boolean;
    isPrefix(): boolean;
    isSuffix(): boolean;
    isEnchantment(): boolean;
    isPremade(): boolean;
    isAffix(): boolean;
    isMasterMod(): boolean;
    implicitCandidate(): boolean;
    statsJoined(): Stat[];
    /**
     * string identifier of the generation type
     */
    modType(): string | undefined;
    requiredLevel(): number;
    spawnweightPropsFor(other: Taggable): SpawnWeightProps | undefined;
    spawnweightFor(other: Taggable): number;
    nthStat(stat_props: StatProps, n: number): Stat;
}
