"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
function random(min, max) {
    return _.random(min, max);
}
exports.random = random;
function choose(pool, getWeight) {
    var sum_spawnweight = pool.reduce(function (sum, weightable) { return sum + getWeight(weightable); }, 0);
    var min_spawnweight = 0;
    // roll a number between 0 and the sum of all weights
    var hit = random(min_spawnweight, sum_spawnweight);
    // the chosen option is the one where hit
    // in [sum_of_prev_weights, sum_of_prev_weights  + own_spawnweigh]
    var item = pool.find(function (other) {
        min_spawnweight += getWeight(other);
        return hit <= min_spawnweight;
    });
    return item;
}
exports.choose = choose;
