export declare type ValueRangeLike = ValueRange | number | [number, number];
export default class ValueRange {
    static zero: ValueRange;
    static one: ValueRange;
    static isZero(value: ValueRangeLike): boolean;
    /**
     * compares the max value of two value ranges
     * @param a
     * @param b
     */
    static cmpMax(a: ValueRangeLike, b: ValueRangeLike): number;
    min: number;
    max: number;
    constructor(range: ValueRangeLike);
    add(other: ValueRangeLike): ValueRange;
    mult(other: ValueRangeLike): ValueRange;
    map(mapFn: (n: number) => number): ValueRange;
    isAddIdentity(): boolean;
    isMultIdentity(): boolean;
    /**
     * +29% => 1.29
     */
    percentToFactor(): ValueRange;
    asTuple(): [number, number];
    valueOf(): number | [number, number];
}
