import Mod from '../mods/Mod';
import { AtlasNodeProps, Tag } from '../schema';
import ImmutableContainer from './ImmutableContainer';
export declare const SEXTANT_RANGE = 55;
export interface Builder {
    mods: Mod[];
    props: AtlasNodeProps;
}
export declare type HumanId = string;
export default class AtlasNode extends ImmutableContainer<Mod, Builder> {
    static build(props: AtlasNodeProps): AtlasNode;
    static withBuilder(builder: Builder): AtlasNode;
    props: AtlasNodeProps;
    constructor(mods: Mod[], props: AtlasNodeProps);
    builder(): Builder;
    /**
     * returns a list of nodes with sextant distance <= depth
     * sextant distance:
     * (a, b) => 1, if a.isInSextantRange(b)
     *           +inf, otherwise
     */
    inSextantRange(atlas: AtlasNode[], max_depth?: number): AtlasNode[];
    isInSextantRange(other: AtlasNode): boolean;
    distance(other: AtlasNode): number;
    pos(): string;
    getAllMods(atlas: AtlasNode[]): Mod[];
    getTags(): Tag[];
    maxModsOfType(): number;
    inDomainOf(mod_domain: number): boolean;
    level(): number;
    affectingMods(atlas: AtlasNode[]): Mod[];
    activeMods(atlas: AtlasNode[]): Mod[];
    inactiveMods(atlas: AtlasNode[]): Mod[];
}
