import { Tag } from '../../schema';
import MetaData from '../../util/MetaData';
export declare enum AtlasModifier {
    NONE = "",
    ELDER = "elder_item",
    SHAPER = "shaper_item"
}
export declare enum AtlasModifierTag {
    'shaper_item' = 0,
    'elder_item' = 1,
    'boots_shaper' = 2,
    'boots_elder' = 3,
    'sword_shaper' = 4,
    'sword_elder' = 5,
    'gloves_shaper' = 6,
    'gloves_elder' = 7,
    'helmet_shaper' = 8,
    'helmet_elder' = 9,
    'body_armour_shaper' = 10,
    'body_armour_elder' = 11,
    'amulet_shaper' = 12,
    'amulet_elder' = 13,
    'ring_shaper' = 14,
    'ring_elder' = 15,
    'belt_shaper' = 16,
    'belt_elder' = 17,
    'quiver_shaper' = 18,
    'quiver_elder' = 19,
    'shield_shaper' = 20,
    'shield_elder' = 21,
    '2h_sword_shaper' = 22,
    '2h_sword_elder' = 23,
    'axe_shaper' = 24,
    'axe_elder' = 25,
    'mace_shaper' = 26,
    'mace_elder' = 27,
    'claw_shaper' = 28,
    'claw_elder' = 29,
    'bow_shaper' = 30,
    'bow_elder' = 31,
    'dagger_shaper' = 32,
    'dagger_elder' = 33,
    '2h_axe_shaper' = 34,
    '2h_axe_elder' = 35,
    '2h_mace_shaper' = 36,
    '2h_mace_elder' = 37,
    'staff_shaper' = 38,
    'staff_elder' = 39,
    'sceptre_shaper' = 40,
    'sceptre_elder' = 41,
    'wand_shaper' = 42,
    'wand_elder' = 43
}
export default function atlasModifier(baseitem: {
    tags: Tag[];
}): AtlasModifier;
/**
 * returns an AtlasModifier according to what flag is set
 * e.g. elder: true returns AtlasModifier.ELDER
 * throws if flags are inconsistent
 * @param param0
 */
export declare function fromFlags({ elder, shaper, }: {
    elder?: boolean;
    shaper?: boolean;
}): AtlasModifier;
export declare function tagsWithModifier(baseitem: {
    tags: Tag[];
}, meta_data: MetaData, modifier: AtlasModifier): Tag[];
export declare function elderTag(meta_data: MetaData): AtlasModifierTag;
export declare function shaperTag(meta_data: MetaData): AtlasModifierTag;
