import { Mod } from '../../../mods';
import Item from '../Item';
import ImmutableContainer from '../../ImmutableContainer';
export interface Builder {
    item: Item;
    mods: Mod[];
}
/**
 * the explicits of an item
 */
export default class ItemAffixes extends ImmutableContainer<Mod, Builder> {
    static withBuilder(builder: Builder): ItemAffixes;
    item: Item;
    constructor(item: Item, mods: Mod[]);
    builder(): {
        item: Item;
        mods: Mod[];
    };
    /**
     * @override
     */
    maxModsOfType(mod: Mod): number;
    /**
     *  checks if the domains are equiv
     */
    inDomainOf(mod_domain: number): boolean;
    level(): number;
    lockedPrefixes(): boolean;
    lockedSuffixes(): boolean;
    getPrefixes(): Mod[];
    getSuffixes(): Mod[];
    /**
     * maximum number of prefixes
     */
    maxPrefixes(): number;
    maxSuffixes(): number;
    private modDomainEquiv;
}
