/**
 * the name of an item
 *
 * for magic items those name consists of the baseitemname and the prefix/suffix
 * rare and unique items have a set name
 */
var ItemName = /** @class */ (function () {
    function ItemName(item, builder) {
        this.parent = item;
        this.random = builder;
    }
    ItemName.prototype.builder = function () {
        return this.random;
    };
    ItemName.prototype.lines = function () {
        if (this.parent.rarity.isNormal()) {
            var prefix = this.parent.properties.quality > 0 ? 'Superior ' : '';
            return ["" + prefix + this.parent.baseitem.name];
        }
        else if (this.parent.rarity.isMagic()) {
            var prefix = this.parent.affixes.getPrefixes()[0];
            var suffix = this.parent.affixes.getSuffixes()[0];
            return [
                [
                    prefix && prefix.props.name,
                    this.parent.baseitem.name,
                    suffix && suffix.props.name,
                ]
                    .filter(Boolean)
                    .join(' '),
            ];
        }
        else if (this.parent.rarity.isRare()) {
            return [this.random, this.parent.baseitem.name];
        }
        else if (this.parent.rarity.isUnique()) {
            return ['TODO unique name?', this.parent.baseitem.name];
        }
        else {
            throw new Error("unrecognized rarity " + String(this.parent.rarity));
        }
    };
    ItemName.prototype.any = function () {
        return true;
    };
    return ItemName;
}());
export default ItemName;
