var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
/**
 * properties for every item
 *
 * this is used for miscellaneous properties that don't really fit
 * into any other component
 */
var ItemProperties = /** @class */ (function () {
    // eslint-disable-next-line no-unused-vars
    function ItemProperties(item, builder) {
        this.parent = item;
        this.quality = builder.quality;
    }
    ItemProperties.prototype.builder = function () {
        return {
            quality: this.quality,
        };
    };
    ItemProperties.prototype.any = function () {
        return this.quality > 0;
    };
    ItemProperties.prototype.setQuality = function (new_quality) {
        if (new_quality === this.quality) {
            return this.parent;
        }
        return this.parent.withMutations(function (builder) {
            return __assign({}, builder, { properties: __assign({}, builder.properties, { quality: new_quality }) });
        });
    };
    return ItemProperties;
}());
export default ItemProperties;
