var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import ItemProperties from './Properties';
var ItemWeaponProperties = /** @class */ (function (_super) {
    __extends(ItemWeaponProperties, _super);
    function ItemWeaponProperties() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ItemWeaponProperties.prototype.physical_damage = function () {
        var _a = this.weaponProps(), damage_min = _a.damage_min, damage_max = _a.damage_max;
        return this.attackDamageRange(damage_min, damage_max, 'physical');
    };
    ItemWeaponProperties.prototype.chaos_damage = function () {
        return this.attackDamageRange(0, 0, 'chaos');
    };
    ItemWeaponProperties.prototype.cold_damage = function () {
        return this.attackDamageRange(0, 0, 'cold');
    };
    ItemWeaponProperties.prototype.fire_damage = function () {
        return this.attackDamageRange(0, 0, 'fire');
    };
    ItemWeaponProperties.prototype.lightning_damage = function () {
        return this.attackDamageRange(0, 0, 'lightning');
    };
    // attacks per 100s
    ItemWeaponProperties.prototype.attack_speed = function () {
        // speed is in ms, precision 2 => 1e5
        // seems to round ingame, see short bow test case
        return this.parent.computeValue(Math.round(1e5 / this.weaponProps().speed), ['local', 'attack_speed']);
    };
    // crit() / 100 = crit%
    ItemWeaponProperties.prototype.crit = function () {
        return this.parent.computeValue(this.weaponProps().critical, [
            'local',
            'crit_chance',
        ]);
    };
    ItemWeaponProperties.prototype.weapon_range = function () {
        return this.parent.computeValue(this.weaponProps().range_max, [
            'local',
            'weapon_range',
        ]);
    };
    ItemWeaponProperties.prototype.any = function () {
        return _super.prototype.any.call(this);
    };
    ItemWeaponProperties.prototype.weaponProps = function () {
        var weapon_type = this.parent.baseitem.weapon_type;
        if (weapon_type === undefined) {
            throw new Error('weapon_type not set in baseitem');
        }
        return weapon_type;
    };
    ItemWeaponProperties.prototype.attackDamageRange = function (min, max, type) {
        var classification = ['local', 'attack_damage', type];
        return {
            min: this.parent.computeValue(min, classification.concat(['min'])),
            max: this.parent.computeValue(max, classification.concat(['max'])),
        };
    };
    return ItemWeaponProperties;
}(ItemProperties));
export default ItemWeaponProperties;
