import ItemProperties from './Properties';
import ArmourProperties from './ArmourProperties';
import ShieldProperties from './ShieldProperties';
import WeaponProperties from './WeaponProperties';
export default function build(item, builder) {
    if (item.meta_data.isA('AbstractShield')) {
        return new ShieldProperties(item, builder);
    }
    else if (item.meta_data.isA('AbstractArmour')) {
        return new ArmourProperties(item, builder);
    }
    else if (item.meta_data.isA('AbstractWeapon')) {
        return new WeaponProperties(item, builder);
    }
    else {
        return new ItemProperties(item, builder);
    }
}
