var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import Item from '../Item';
import { RarityKind } from '../components/Rarity';
import { Mod } from '../../../mods';
import { fromFlags } from '../atlasModifier';
export function serialize(item) {
    var base = item.baseitem;
    var _a = item.name.lines(), name = _a[0], type_line = _a[1];
    var rarity = item.rarity.toString();
    var requirements = item.requirements.list();
    var mods = {
        explicit: modProps(item.affixes),
        implicit: modProps(item.implicits),
    };
    var elder = item.isElderItem();
    var shaper = item.isSHaperItem();
    var _b = item.props, corrupted = _b.corrupted, item_level = _b.item_level, mirrored = _b.mirrored;
    var quality = item.properties.quality;
    var _c = serializeSockets(item), sockets = _c.sockets, groups = _c.groups;
    return {
        base: base,
        name: type_line !== undefined ? name : 'Random Name',
        rarity: rarity,
        requirements: requirements,
        mods: mods,
        elder: elder,
        shaper: shaper,
        corrupted: corrupted,
        item_level: item_level,
        mirrored: mirrored,
        quality: quality,
        sockets: sockets,
        groups: groups,
    };
}
export function deserialize(json) {
    var _a = json.mods, mods = _a === void 0 ? {} : _a, _b = json.corrupted, corrupted = _b === void 0 ? false : _b, _c = json.mirrored, mirrored = _c === void 0 ? false : _c, _d = json.quality, quality = _d === void 0 ? 0 : _d, elder = json.elder, shaper = json.shaper, sockets = json.sockets, groups = json.groups, _e = json.item_level, item_level = _e === void 0 ? 100 : _e;
    var _f = mods.explicit, explicit = _f === void 0 ? [] : _f, _g = mods.implicit, implicit = _g === void 0 ? [] : _g;
    var atlas_modifier = fromFlags({ elder: elder, shaper: shaper });
    var item = new Item({
        affixes: modsFromProps(explicit),
        baseitem: json.base,
        implicits: modsFromProps(implicit),
        meta_data: Item.buildMetaData(json.base),
        name: json.name,
        properties: { quality: quality },
        props: { corrupted: corrupted, mirrored: mirrored, atlas_modifier: atlas_modifier, item_level: item_level },
        rarity: RarityKind[json.rarity],
        requirements: json.base.component_attribute_requirement,
        sockets: { sockets: sockets, groups: groups },
    });
    return item;
}
function modProps(container) {
    return container.mods.map(function (_a) {
        var props = _a.props;
        return props;
    });
}
function modsFromProps(props) {
    return props.map(function (p) { return new Mod(p); });
}
function serializeSockets(item) {
    var json = item.sockets.toJson();
    var groups = [];
    var sockets = json.map(function (_a, index) {
        var group = _a.group, socket = __rest(_a, ["group"]);
        if (!Array.isArray(groups[group])) {
            groups[group] = [];
        }
        groups[group].push(index);
        return socket;
    });
    return { sockets: sockets, groups: groups };
}
