import Item from '../containers/item/Item';
import MasterBench from '../helpers/MasterBench';
import Mod from '../mods/Mod';
import { CraftingBenchOptionsProps, EssenceProps, ModProps } from '../schema';
import Generator, { GeneratorDetails } from './Generator';
import { Alchemy, EnchantmentBench, Vaal } from './item_orbs';
import { Flags } from '../util/Flags';
/**
 * Masterbench/Currency hybrid
 */
export default class ItemShowcase extends Generator<Mod, Item> {
    enchantment: EnchantmentBench;
    master: MasterBench;
    explicits: Alchemy;
    vaal: Vaal;
    private essences;
    constructor(props: ModProps[], options: CraftingBenchOptionsProps[], essences: EssenceProps[]);
    /**
     * only abstract showcase, not for actual usage
     */
    applyTo(item: Item): Item;
    /**
     * not applicable to anything
     * @param item
     */
    applicableTo(item: Item): Flags;
    /**
     * greps mod::applicableTo and (if implemented) mod::spawnableOn
     * if we have all the space for mods we need
     *
     * @returns master-, enchantment-, vaal-, explicit-, (top tier) essence-mods
     */
    modsFor(item: Item, whitelist?: string[]): Array<GeneratorDetails<Mod>>;
}
