import Item from '../../containers/item';
import { ModProps } from '../../schema';
import ItemOrb, { ApplicableFlags as BaseApplicableFlags } from './ItemOrb';
import { GeneratorDetails } from '../Generator';
import Mod from '../../mods/Mod';
export interface ApplicableFlags extends BaseApplicableFlags {
    not_white: boolean;
}
export declare type ApplicableFlag = keyof ApplicableFlags;
/**
 * options for Alchemy#applyTo()
 */
export interface ApplyOptions {
    /**
     * ignores Alchemy#applicableTo() if true
     */
    force: boolean;
}
export default class Alchemy extends ItemOrb {
    static build(mods: ModProps[]): Alchemy;
    /**
     *  adds 1-2 mods
     */
    applyTo(item: Item, options?: Partial<ApplyOptions>): Item;
    /**
     * maps mod::applicableTo as if it were already magic
     */
    modsFor(item: Item, whitelist?: string[]): Array<GeneratorDetails<Mod>>;
    applicableTo(item: Item): ApplicableFlags;
}
