var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import { random } from 'lodash';
import { anySet } from '../../util/Flags';
import ItemOrb from './ItemOrb';
import Alchemy from './Alchemy';
import Exalted from './Exalted';
import Scouring from './Scouring';
import Transmute from './Transmute';
var Chaos = /** @class */ (function (_super) {
    __extends(Chaos, _super);
    function Chaos() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Chaos.build = function (mods) {
        return new Chaos(Transmute.buildMods(mods));
    };
    /**
     *  rerolls properties of magic
     */
    Chaos.prototype.applyTo = function (item) {
        if (!anySet(this.applicableTo(item))) {
            var locked_prefixes_1 = item.affixes.lockedPrefixes();
            var locked_suffixes_1 = item.affixes.lockedSuffixes();
            if (locked_prefixes_1 && locked_suffixes_1) {
                // TODO rerolls name so it is actually a new item
                return item;
            }
            var scoured_item = new Scouring().applyTo(item);
            var reforged_item = new Alchemy(this.mods).applyTo(scoured_item);
            // no complete scour?
            if (reforged_item === scoured_item) {
                // limit the possible mods of this exalt according to
                // meta mods since usually adding prefixes is ok even with locked_prefixes
                var exalted = new Exalted(this.mods.filter(function (mod) {
                    return (
                    // locked_suffixes => !suffix
                    (!locked_suffixes_1 || !mod.isSuffix()) &&
                        // locked_prefixes => !prefix
                        (!locked_prefixes_1 || !mod.isPrefix()));
                }));
                var new_mods = random(2, 3);
                for (var i = 1; i <= new_mods; i += 1) {
                    reforged_item = exalted.applyTo(reforged_item);
                }
            }
            return reforged_item;
        }
        else {
            return item;
        }
    };
    Chaos.prototype.applicableTo = function (item) {
        var applicable_flags = __assign({}, _super.prototype.applicableTo.call(this, item), { not_rare: false });
        if (!item.rarity.isRare()) {
            applicable_flags.not_rare = true;
        }
        return applicable_flags;
    };
    return Chaos;
}(ItemOrb));
export default Chaos;
