var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { anySet } from '../../util/Flags';
import Mod from '../../mods/Mod';
import ItemOrb from './ItemOrb';
/**
 * ingame representation of a enchantment bench
 */
var Enchantmentbench = /** @class */ (function (_super) {
    __extends(Enchantmentbench, _super);
    function Enchantmentbench() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Enchantmentbench.modFilter = function (mod) {
        return (_super.modFilter.call(this, mod) &&
            [Mod.GENERATION_TYPE.ENCHANTMENT].indexOf(mod.generation_type) !== -1);
    };
    Enchantmentbench.build = function (mods) {
        return new Enchantmentbench(this.buildMods(mods));
    };
    /**
     * replaces implicits with new enchantment mod
     */
    Enchantmentbench.prototype.applyTo = function (item) {
        if (!anySet(this.applicableTo(item))) {
            var blank_item = item.removeAllImplicits();
            var enchantment = this.chooseMod(blank_item);
            if (enchantment != null) {
                return blank_item.addMod(enchantment);
            }
        }
        return item;
    };
    Enchantmentbench.prototype.modsFor = function (item, whitelist) {
        if (whitelist === void 0) { whitelist = []; }
        // replace so ignore full domain
        return _super.prototype.modsFor.call(this, item, whitelist.concat(['domain_full']));
    };
    return Enchantmentbench;
}(ItemOrb));
export default Enchantmentbench;
