var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
import { anySet } from '../../util/Flags';
import ItemOrb from './ItemOrb';
import Transmute from './Transmute';
var Regal = /** @class */ (function (_super) {
    __extends(Regal, _super);
    function Regal() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Regal.build = function (mods) {
        return new Regal(Transmute.buildMods(mods));
    };
    /**
     *  adds 1 mod
     */
    Regal.prototype.applyTo = function (item) {
        if (!anySet(this.applicableTo(item))) {
            // upgrade to rare
            return this.rollMod(item.rarity.set('rare'));
        }
        else {
            return item;
        }
    };
    /**
     * maps mod::applicableTo as if it were already magic
     */
    Regal.prototype.modsFor = function (item, whitelist) {
        if (whitelist === void 0) { whitelist = []; }
        // simulate upgrade
        return _super.prototype.modsFor.call(this, item.rarity.set('rare'), whitelist);
    };
    Regal.prototype.applicableTo = function (item) {
        var applicable_flags = __assign({}, _super.prototype.applicableTo.call(this, item), { not_magic: false });
        if (!item.rarity.isMagic()) {
            applicable_flags.not_magic = true;
        }
        return applicable_flags;
    };
    return Regal;
}(ItemOrb));
export default Regal;
