import Item from '../../containers/item';
import ItemOrb, { ApplicableFlags as BaseApplicableFlags } from './ItemOrb';
export interface ApplicableFlags extends BaseApplicableFlags {
    normal: boolean;
    unique: boolean;
}
export declare type ApplicableFlag = keyof ApplicableFlags;
/**
 * options for Scouring.applyTo()
 */
export interface ApplyToOptions {
    /**
     * ignores meta mods such as "Prefixes cannot be changed"
     */
    ignore_meta_mods: boolean;
    /**
     * apply even if not applyicable
     */
    force: boolean;
}
export default class Scouring extends ItemOrb {
    constructor();
    /**
     * applies Orb of Scouring to an item
     * considers locked affixes metamods
     */
    applyTo(other: Item, options?: Partial<ApplyToOptions>): Item;
    /**
     * checks if normal or unique rarity and returns false
     */
    applicableTo(item: Item): ApplicableFlags;
}
