import Item from '../../containers/item';
import { ModProps } from '../../schema';
import ItemOrb, { ApplicableFlags as BaseApplicableFlags } from './ItemOrb';
import Mod from '../../mods/Mod';
import { GeneratorDetails } from '../Generator';
export interface ApplicableFlags extends BaseApplicableFlags {
    not_white: boolean;
}
export declare type ApplicableFlag = keyof ApplicableFlags;
export default class Transmute extends ItemOrb {
    static modFilter(mod: ModProps): boolean;
    static build(mods: ModProps[]): Transmute;
    /**
     *  adds 1-2 mods
     */
    applyTo(item: Item): Item;
    /**
     * maps mod::applicableTo as if it were already magic
     */
    modsFor(item: Item, whitelist?: string[]): Array<GeneratorDetails<Mod>>;
    applicableTo(item: Item): ApplicableFlags;
}
