var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import ViewOnlyOrb from '../ViewOnlyOrb';
import { Mod } from '../../mods';
/**
 * Generator for all mods that can be crafted at the Blood Altar with Spirit Beasts
 */
var BestiaryAspectMods = /** @class */ (function (_super) {
    __extends(BestiaryAspectMods, _super);
    function BestiaryAspectMods() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BestiaryAspectMods.build = function (mods) {
        return new BestiaryAspectMods(mods
            .filter(BestiaryAspectMods.isBestiaryAspect)
            .map(function (props) { return new Mod(props); }));
    };
    /**
     *
     * @param mod
     * @returns true if the mod can only crafted with the Blood Altar from a
     *          Spirit Beast
     */
    BestiaryAspectMods.isBestiaryAspect = function (mod) {
        return BestiaryAspectMods.ASPECT_MODS.has(mod.id);
    };
    BestiaryAspectMods.prototype.modsFor = function (item, whitelist) {
        if (whitelist === void 0) { whitelist = []; }
        // omit everything spawnable related. crafting is deterministic
        return _super.prototype.modsFor.call(this, item, whitelist.concat('no_matching_tags', 'spawnweight_zero'))
            .map(function (_a) {
            var spawnable = _a.spawnable, spawnweight = _a.spawnweight, details = __rest(_a, ["spawnable", "spawnweight"]);
            return details;
        });
    };
    /**
     * list of mod ids that can be crafted with Spirit Beasts
     */
    BestiaryAspectMods.ASPECT_MODS = new Set([
        'GrantsCatAspect1',
        'GrantsBirdAspect1_',
        'GrantsSpiderAspect1',
        'GrantsCrabAspect1_',
    ]);
    return BestiaryAspectMods;
}(ViewOnlyOrb));
export default BestiaryAspectMods;
