import { GeneratorDetails } from '../Generator';
import ViewOnlyOrb from '../ViewOnlyOrb';
import Item from '../../containers/item';
import { Mod } from '../../mods';
import { ModProps } from '../../schema';
/**
 * Generator for all mods that are possible of the item is an Elder item
 */
export default class ElderMods extends ViewOnlyOrb {
    static build(mods: ModProps[]): ElderMods;
    static isElderMod(mod: ModProps): boolean;
    /**
     * returns mods that could appear on the given item if it is a Elder
     * influenced item. Ignores maximum number of possible mods.
     *
     * @param item
     * @param whitelist
     */
    modsFor(item: Item, whitelist?: string[]): Array<GeneratorDetails<Mod>>;
}
