import { GeneratorDetails } from '../Generator';
import ViewOnlyOrb from '../ViewOnlyOrb';
import Item from '../../containers/item';
import { Mod } from '../../mods';
import { ModProps } from '../../schema';
/**
 * Generator for all mods that are possible of the item is an Shaper item
 */
export default class ShaperMods extends ViewOnlyOrb {
    static build(mods: ModProps[]): ShaperMods;
    static isShaperMod(mod: ModProps): boolean;
    /**
     * returns mods that could appear on the given item if it is a Shaper
     * influenced item. Ignores maximum number of possible mods.
     *
     * @param item
     */
    modsFor(item: Item, whitelist?: string[]): Array<GeneratorDetails<Mod>>;
}
