import MasterBenchOption from '../generators/MasterBenchOption';
/**
 */
var MasterBench = /** @class */ (function () {
    function MasterBench(options) {
        this.options = options;
    }
    MasterBench.build = function (props, master_primary) {
        var options = props.filter(function (_a) {
            var npc_master_key = _a.npc_master_key;
            // master_primary != null implies master_primary === npc_master_key
            return master_primary == null || npc_master_key === master_primary;
        });
        if (options.length <= 0) {
            throw new Error("no options found for '" + String(master_primary) + "'");
        }
        return new MasterBench(options.map(function (option) { return new MasterBenchOption(option); }));
    };
    MasterBench.prototype.applyOptionTo = function (item, option_id) {
        var option = this.options.find(function (other) { return other.props.primary === option_id; });
        if (option === undefined) {
            throw new Error("option '" + option_id + "' not found");
        }
        return option.applyTo(item);
    };
    MasterBench.prototype.getAvailableMods = function () {
        return this.options
            .map(function (_a) {
            var mod = _a.mod;
            return mod;
        })
            .filter(function (mod) { return mod !== undefined; });
    };
    /**
     * greps mod::applicableTo
     */
    MasterBench.prototype.modsFor = function (item, whitelist) {
        if (whitelist === void 0) { whitelist = []; }
        return this.options.reduce(function (mods, option) { return mods.concat(option.modsFor(item, whitelist)); }, []);
    };
    return MasterBench;
}());
export default MasterBench;
